Table of Contents

Class: inchi | ../bkchem/oasa/oasa/inchi.py
--- | ---
Base Classes |
--- | ---
plugin
Methods |
--- | ---
__init__ cleanup compensate_for_forced_charges deal_with_da_bonds get_layer get_number_of_hydrogens_in_hydrogen_layer get_structure process_forced_charges | read_charge_layer read_connectivity_layer read_hydrogen_layer read_inchi read_p_layer read_sum_layer set_structure split_layers
| __init__
    __init__ ( self,  structure=None )
| cleanup
    cleanup ( self )
| compensate_for_forced_charges
    compensate_for_forced_charges ( self )
if there were foced charges and they the molecule should not have any charge, we have to take care of it here
| deal_with_da_bonds
    deal_with_da_bonds ( self )
deal with donor-acceptor bonds, this fixes mostly boron containing compounds
| get_layer
    get_layer ( self,  prefix )
| get_number_of_hydrogens_in_hydrogen_layer
    get_number_of_hydrogens_in_hydrogen_layer ( self )
Exceptions |
--- | ---
oasa_not_implemented_error( "INChI", "multiple compound systems are not supported by the library" )
| get_structure
    get_structure ( self )
| process_forced_charges
    process_forced_charges ( self )
this marks the charges that are forced by the connectivity and thus helps process zwitrions
| read_charge_layer
    read_charge_layer ( self )
Exceptions |
--- | ---
oasa_exceptions.oasa_inchi_error( "The molecular charge could not be allocated to any atom (%d)." % charge )
| read_connectivity_layer
    read_connectivity_layer ( self )
Exceptions |
--- | ---
ValueError, "unexpected character %s in the connectivity layer" % c
| read_hydrogen_layer
    read_hydrogen_layer ( self,  run=0 )
| read_inchi
    read_inchi ( self,  text )
Exceptions |
--- | ---
oasa_inchi_error( "Localization of bonds, charges or movable hydrogens failed" )
| read_p_layer
    read_p_layer ( self )
| read_sum_layer
    read_sum_layer ( self )
Exceptions |
--- | ---
oasa_not_implemented_error( "INChI", "multiple compound systems are not supported by the library" )
| set_structure
    set_structure ( self,  structure )
| split_layers
    split_layers ( self,  text )
Exceptions |
--- | ---
"no '%s' tag found in xml string" % name "no structures found in xml string %s" % text

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1